- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources/patch#try-it)

Updates an inventory source.

### HTTP request

`PATCH https://dv360seller.googleapis.com/v1beta1/{inventorySource.name=exchanges/*/inventorySources/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `inventorySource.name` | `string` Output only. Relative resource name for the inventory source. Generated by server. Example: `exchanges/1234/inventorySources/5678`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The mask to control which fields to update. Required. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources#InventorySource`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.inventorySources#InventorySource`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).